{"openapi":"3.1.0","info":{"title":"GET /api/v1/notes/{note_id}/reminders","version":"1.0.0","description":"List reminders for a note"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/notes/{note_id}/reminders":{"get":{"tags":["notes"],"summary":"List reminders for a note","description":"Get all active reminders for a specific note.","operationId":"list_reminders_api_v1_notes__note_id__reminders_get","parameters":[{"name":"note_id","in":"path","required":true,"schema":{"type":"string","title":"Note Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReminderListResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ReminderListResponse":{"properties":{"items":{"items":{"$ref":"#/components/schemas/ReminderResponse"},"type":"array","title":"Items"}},"type":"object","title":"ReminderListResponse","description":"All reminders for a note."},"ReminderResponse":{"properties":{"id":{"type":"string","title":"Id"},"note_id":{"type":"string","title":"Note Id"},"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"recurrence":{"type":"string","title":"Recurrence"},"is_active":{"type":"boolean","title":"Is Active"},"last_sent_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Sent At"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","note_id","scheduled_at","recurrence","is_active","created_at"],"title":"ReminderResponse","description":"A scheduled reminder for a note."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}